Subject: bug#25344: man repaints entire screen even when there is no such manual page

From: Eli Zaretskii <[email-masked]>
Date: Tue, 03 Jan 2017 17:56:46 +0200

> From: 積丹尼 Dan Jacobson
> 	<[email-masked]>
> Date: Tue, 03 Jan 2017 18:56:36 +0800
> 
> If one has a very quick eye, one can discover M-x man "zzzyyyxxx"
> repaints the entire screen before declaring in the minibuffer "No manual
> entry for zzzyyyxxx". Doesn't seem very efficient.
> Also one thinks the man page is coming in and looks at the screen, but
> in fact it is just the screen being repainted. emacs-version "25.1.1"

I think these are side effects of a change (for the better) whereby
the 'man' program gets set up with a correct line width, which is
impossible without creating a window before 'man' is run.  My HO is
that this minor annoyance is a worthy price to pay for the problems
solved by that change.